Skip to main content
GET
/
chats
List Chats
curl --request GET \
  --url https://api.attention.tech/v2/chats \
  --header 'Authorization: <api-key>'
{
  "data": [
    {
      "id": "chat-uuid-123",
      "externalId": "slack-channel-xyz",
      "applicationName": "slack",
      "title": "Sales Q1 Planning",
      "type": "chat",
      "userId": "user-uuid-456",
      "teamId": "team-uuid-789",
      "dateStart": "2024-03-18T09:00:00Z",
      "createdAt": "2024-03-18T09:00:00Z",
      "participants": [],
      "transcript": []
    }
  ],
  "meta": {
    "totalRecords": 1
  }
}

Authorizations

Authorization
string
header
required

Query Parameters

filter[external_id]
string

Filter by external ID (exact match)

filter[type]
enum<string>

Filter by chat type (chat or email)

Available options:
chat,
email
filter[title]
string

Filter by title (case-insensitive partial match)

filter[participant_name]
string

Filter by participant name (case-insensitive partial match)

filter[scorecard_id]
string[]

Filter by scorecard UUID(s) — returns chats evaluated with any of the given scorecards

filter[user_id]
string[]

Filter by user UUID(s)

filter[team_id]
string[]

Filter by team UUID(s)

from_date_time
string<date-time>

Start of date range filter (ISO 8601 format)

to_date_time
string<date-time>

End of date range filter (ISO 8601 format)

exclude_transcript
boolean
default:false

If true, omit transcript data from response to reduce payload size

page
integer
default:1

Page number for pagination (starts from 1)

Required range: x >= 1
size
integer
default:10

Number of items per page (min 1, max 50)

Required range: 1 <= x <= 50

Response

Chats successfully returned

data
object[]
meta
object
Example:
{
"pageCount": 5,
"totalRecords": 100,
"pageNumber": 1,
"pageSize": 20
}